#include<bits/stdc++.h>
using namespace std;

long long Resi(int n, int* a, int* b){
    long long sol=0;
    for(int t=0; t<2*n; ++t){
        bool ul=true;
        int x=0;
        for(int i=0; i<n; ++i){
            if(a[i]==t) {
                    ul=true;x=i;
                    break;
            }
            if(b[i]==t) {
                    ul=false;x=i;
                    break;
            }
        }
        if(ul){
            long long s1=0, s2=0;
            for(int i=0; i<n; ++i){
                if(a[i]<t && b[i]>t){
                        if(b[i]<b[x]) s1++;
                        else s2++;
                }
            }
            sol+=min(s1,s2);
        }
    }
    return sol;
}